# DatabaseMetaData

Represents the meta data for a database.

Methods
boolean | allProceduresAreCallable() Checks if all procedures callable.
boolean | allProceduresAreCallable() Checks if all procedures callable. Returns: true
boolean | allTablesAreSelectable() Checks if it possible to query all tables returned by getTables.
boolean | allTablesAreSelectable() Checks if it possible to query all tables returned by getTables. Returns: true
boolean | autoCommitFailureClosesAllResultSets() Returns whether an exception while auto commit is on closes all result sets.
boolean | autoCommitFailureClosesAllResultSets() Returns whether an exception while auto commit is on closes all result sets. Returns: false
boolean | dataDefinitionCausesTransactionCommit() Returns whether CREATE/DROP commit an open transaction.
boolean | dataDefinitionCausesTransactionCommit() Returns whether CREATE/DROP commit an open transaction. Returns: true
boolean | dataDefinitionIgnoredInTransactions() Returns whether CREATE/DROP do not affect transactions.
boolean | dataDefinitionIgnoredInTransactions() Returns whether CREATE/DROP do not affect transactions. Returns: false
boolean | deletesAreDetected(int type) Returns whether deletes are detected.
boolean | deletesAreDetected(int type) Returns whether deletes are detected. Parameters: type - the result set type Returns: false
boolean | doesMaxRowSizeIncludeBlobs() Returns whether the maximum row size includes blobs.
boolean | doesMaxRowSizeIncludeBlobs() Returns whether the maximum row size includes blobs. Returns: false
boolean | generatedKeyAlwaysReturned() [Not supported]
boolean | generatedKeyAlwaysReturned() [Not supported]
ResultSet | getAttributes(String catalog, String schemaPattern, String typeNamePattern, String attributeNamePattern) [Not supported]
ResultSet | getAttributes(String catalog, String schemaPattern, String typeNamePattern, String attributeNamePattern) throws SQLException [Not supported]
ResultSet | getBestRowIdentifier(String catalogPattern, String schemaPattern, String tableName, int scope, boolean nullable) Gets the list of columns that best identifier a row in a table.

ResultSet

getBestRowIdentifier(String catalogPattern, String schemaPattern, String tableName, int scope, boolean nullable) throws SQLException
Gets the list of columns that best identifier a row in a table. The list is ordered by SCOPE.

- 1 SCOPE (short) scope of result (always bestRowSession)
- 2 COLUMN_NAME (String) column name
- 3 DATA_TYPE (short) SQL data type, see also java.sql.Types
- 4 TYPE_NAME (String) type name
- 5 COLUMN_SIZE (int) precision (values larger than 2 GB are returned as 2 GB)
- 6 BUFFER_LENGTH (int) unused
- 7 DECIMAL_DIGITS (short) scale
- 8 PSEUDO_COLUMN (short) (always bestRowNotPseudo)

Parameters:
catalogPattern - null (to get all objects) or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
tableName - table name (must be specified)
scope - ignored
nullable - ignored
Returns:
the primary key index
Throws:
SQLException - if the connection is closed

String | getCatalogSeparator() Returns the catalog separator.
String | getCatalogSeparator() Returns the catalog separator. Returns: "."
String | getCatalogTerm() Returns the term for "catalog".
String | getCatalogTerm() Returns the term for "catalog". Returns: "catalog"
ResultSet | getCatalogs() Gets the list of catalogs.

ResultSet

getCatalogs() throws SQLException
Gets the list of catalogs. The result set is sorted by TABLE_CAT.

- 1 TABLE_CAT (String) catalog name

Returns:
the catalog list
Throws:
SQLException - if the connection is closed

ResultSet | getClientInfoProperties()
ResultSet | getClientInfoProperties() throws SQLException
ResultSet | getColumnPrivileges(String catalogPattern, String schemaPattern, String table, String columnNamePattern) Gets the list of column privileges.

ResultSet

getColumnPrivileges(String catalogPattern, String schemaPattern, String table, String columnNamePattern) throws SQLException
Gets the list of column privileges. The result set is sorted by COLUMN_NAME and PRIVILEGE

- 1 TABLE_CAT (String) table catalog
- 2 TABLE_SCHEM (String) table schema
- 3 TABLE_NAME (String) table name
- 4 COLUMN_NAME (String) column name
- 5 GRANTOR (String) grantor of access
- 6 GRANTEE (String) grantee of access
- 7 PRIVILEGE (String) SELECT, INSERT, UPDATE, DELETE or REFERENCES (only one per row)
- 8 IS_GRANTABLE (String) YES means the grantee can grant access to others

Parameters:
catalogPattern - null (to get all objects) or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
table - a table name (uppercase for unquoted names)
columnNamePattern - null (to get all objects) or a column name (uppercase for unquoted names)
Returns:
the list of privileges
Throws:
SQLException - if the connection is closed

ResultSet | getColumns(String catalogPattern, String schemaPattern, String tableNamePattern, String columnNamePattern) Gets the list of columns.

ResultSet

getColumns(String catalogPattern, String schemaPattern, String tableNamePattern, String columnNamePattern) throws SQLException
Gets the list of columns. The result set is sorted by TABLE_SCHEM, TABLE_NAME, and ORDINAL_POSITION.

- 1 TABLE_CAT (String) table catalog
- 2 TABLE_SCHEM (String) table schema
- 3 TABLE_NAME (String) table name
- 4 COLUMN_NAME (String) column name
- 5 DATA_TYPE (short) data type (see java.sql.Types)
- 6 TYPE_NAME (String) data type name ("INTEGER", "VARCHAR",...)
- 7 COLUMN_SIZE (int) precision (values larger than 2 GB are returned as 2 GB)
- 8 BUFFER_LENGTH (int) unused
- 9 DECIMAL_DIGITS (int) scale (0 for INTEGER and VARCHAR)
- 10 NUM_PREC_RADIX (int) radix (always 10)
- 11 NULLABLE (int) columnNoNulls or columnNullable
- 12 REMARKS (String) comment (always empty)
- 13 COLUMN_DEF (String) default value
- 14 SQL_DATA_TYPE (int) unused
- 15 SQL_DATETIME_SUB (int) unused
- 16 CHAR_OCTET_LENGTH (int) unused
- 17 ORDINAL_POSITION (int) the column index (1,2,...)
- 18 IS_NULLABLE (String) "NO" or "YES"
- 19 SCOPE_CATALOG (String) always null
- 20 SCOPE_SCHEMA (String) always null
- 21 SCOPE_TABLE (String) always null
- 22 SOURCE_DATA_TYPE (short) null
- 23 IS_AUTOINCREMENT (String) "NO" or "YES"
- 24 SCOPE_CATLOG (String) always null (the typo is on purpose, for compatibility with the JDBC specification prior to 4.1)

Parameters:
catalogPattern - null (to get all objects) or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
tableNamePattern - null (to get all objects) or a table name (uppercase for unquoted names)
columnNamePattern - null (to get all objects) or a column name (uppercase for unquoted names)
Returns:
the list of columns
Throws:
SQLException - if the connection is closed

Connection | getConnection() Returns the connection that created this object.
Connection | getConnection() Returns the connection that created this object. Returns: the connection
ResultSet | getCrossReference(String primaryCatalogPattern, String primarySchemaPattern, String primaryTable, String foreignCatalogPattern, String foreignSchemaPattern, String foreignTable) Gets the list of foreign key columns that references a table, as well as the list of primary key columns that are references by a table.

ResultSet

getCrossReference(String primaryCatalogPattern, String primarySchemaPattern, String primaryTable, String foreignCatalogPattern, String foreignSchemaPattern, String foreignTable) throws SQLException
Gets the list of foreign key columns that references a table, as well as the list of primary key columns that are references by a table. The result set is sorted by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, FK_NAME, KEY_SEQ.

- 1 PKTABLE_CAT (String) primary catalog
- 2 PKTABLE_SCHEM (String) primary schema
- 3 PKTABLE_NAME (String) primary table
- 4 PKCOLUMN_NAME (String) primary column
- 5 FKTABLE_CAT (String) foreign catalog
- 6 FKTABLE_SCHEM (String) foreign schema
- 7 FKTABLE_NAME (String) foreign table
- 8 FKCOLUMN_NAME (String) foreign column
- 9 KEY_SEQ (short) sequence number (1,2,...)
- 10 UPDATE_RULE (short) action on update (see DatabaseMetaData.importedKey...)
- 11 DELETE_RULE (short) action on delete (see DatabaseMetaData.importedKey...)
- 12 FK_NAME (String) foreign key name
- 13 PK_NAME (String) primary key name
- 14 DEFERRABILITY (short) deferrable or not (always importedKeyNotDeferrable)

Parameters:
primaryCatalogPattern - null or the catalog name
primarySchemaPattern - the schema name of the primary table (optional)
primaryTable - the name of the primary table (must be specified)
foreignCatalogPattern - null or the catalog name
foreignSchemaPattern - the schema name of the foreign table (optional)
foreignTable - the name of the foreign table (must be specified)
Returns:
the result set
Throws:
SQLException - if the connection is closed

int | getDatabaseMajorVersion() Gets the major version of the database.
int | getDatabaseMajorVersion() Gets the major version of the database. Returns: the major version
int | getDatabaseMinorVersion() Gets the minor version of the database.
int | getDatabaseMinorVersion() Gets the minor version of the database. Returns: the minor version
String | getDatabaseProductName() Gets the database product name.
String | getDatabaseProductName() Gets the database product name. Returns: the product name ("H2")
String | getDatabaseProductVersion() Gets the product version of the database.
String | getDatabaseProductVersion() Gets the product version of the database. Returns: the product version
int | getDefaultTransactionIsolation() Returns the default transaction isolation level.
int | getDefaultTransactionIsolation() Returns the default transaction isolation level. Returns: Connection.TRANSACTION_READ_COMMITTED
int | getDriverMajorVersion() Returns the major version of this driver.
int | getDriverMajorVersion() Returns the major version of this driver. Returns: the major version number
int | getDriverMinorVersion() Returns the minor version of this driver.
int | getDriverMinorVersion() Returns the minor version of this driver. Returns: the minor version number
String | getDriverName() Gets the name of the JDBC driver.
String | getDriverName() Gets the name of the JDBC driver. Returns: the driver name ("H2 JDBC Driver")
String | getDriverVersion() Gets the version number of the driver.
String | getDriverVersion() Gets the version number of the driver. The format is [MajorVersion].[MinorVersion]. Returns: the version number
ResultSet | getExportedKeys(String catalogPattern, String schemaPattern, String tableName) Gets the list of foreign key columns that reference a table.

ResultSet

getExportedKeys(String catalogPattern, String schemaPattern, String tableName) throws SQLException
Gets the list of foreign key columns that reference a table. The result set is sorted by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, FK_NAME, KEY_SEQ.

- 1 PKTABLE_CAT (String) primary catalog
- 2 PKTABLE_SCHEM (String) primary schema
- 3 PKTABLE_NAME (String) primary table
- 4 PKCOLUMN_NAME (String) primary column
- 5 FKTABLE_CAT (String) foreign catalog
- 6 FKTABLE_SCHEM (String) foreign schema
- 7 FKTABLE_NAME (String) foreign table
- 8 FKCOLUMN_NAME (String) foreign column
- 9 KEY_SEQ (short) sequence number (1,2,...)
- 10 UPDATE_RULE (short) action on update (see DatabaseMetaData.importedKey...)
- 11 DELETE_RULE (short) action on delete (see DatabaseMetaData.importedKey...)
- 12 FK_NAME (String) foreign key name
- 13 PK_NAME (String) primary key name
- 14 DEFERRABILITY (short) deferrable or not (always importedKeyNotDeferrable)

Parameters:
catalogPattern - null or the catalog name
schemaPattern - the schema name of the primary table
tableName - the name of the primary table
Returns:
the result set
Throws:
SQLException - if the connection is closed

String | getExtraNameCharacters() Returns the characters that are allowed for identifiers in addiction to A-Z, a-z, 0-9 and '_'.
String | getExtraNameCharacters() Returns the characters that are allowed for identifiers in addiction to A-Z, a-z, 0-9 and '_'. Returns: an empty String ("")
ResultSet | getFunctionColumns(String catalog, String schemaPattern, String functionNamePattern, String columnNamePattern) [Not supported] Gets the list of function columns.
ResultSet | getFunctionColumns(String catalog, String schemaPattern, String functionNamePattern, String columnNamePattern) throws SQLException [Not supported] Gets the list of function columns.
ResultSet | getFunctions(String catalog, String schemaPattern, String functionNamePattern) [Not supported] Gets the list of functions.
ResultSet | getFunctions(String catalog, String schemaPattern, String functionNamePattern) throws SQLException [Not supported] Gets the list of functions.
String | getIdentifierQuoteString() Returns the string used to quote identifiers.
String | getIdentifierQuoteString() Returns the string used to quote identifiers. Returns: a double quote
ResultSet | getImportedKeys(String catalogPattern, String schemaPattern, String tableName) Gets the list of primary key columns that are referenced by a table.

ResultSet

getImportedKeys(String catalogPattern, String schemaPattern, String tableName) throws SQLException
Gets the list of primary key columns that are referenced by a table. The result set is sorted by PKTABLE_CAT, PKTABLE_SCHEM, PKTABLE_NAME, FK_NAME, KEY_SEQ.

- 1 PKTABLE_CAT (String) primary catalog
- 2 PKTABLE_SCHEM (String) primary schema
- 3 PKTABLE_NAME (String) primary table
- 4 PKCOLUMN_NAME (String) primary column
- 5 FKTABLE_CAT (String) foreign catalog
- 6 FKTABLE_SCHEM (String) foreign schema
- 7 FKTABLE_NAME (String) foreign table
- 8 FKCOLUMN_NAME (String) foreign column
- 9 KEY_SEQ (short) sequence number (1, 2, ...)
- 10 UPDATE_RULE (short) action on update (see DatabaseMetaData.importedKey...)
- 11 DELETE_RULE (short) action on delete (see DatabaseMetaData.importedKey...)
- 12 FK_NAME (String) foreign key name
- 13 PK_NAME (String) primary key name
- 14 DEFERRABILITY (short) deferrable or not (always importedKeyNotDeferrable)

Parameters:
catalogPattern - null (to get all objects) or the catalog name
schemaPattern - the schema name of the foreign table
tableName - the name of the foreign table
Returns:
the result set
Throws:
SQLException - if the connection is closed

ResultSet | getIndexInfo(String catalogPattern, String schemaPattern, String tableName, boolean unique, boolean approximate) Gets the list of indexes for this database.

ResultSet

getIndexInfo(String catalogPattern, String schemaPattern, String tableName, boolean unique, boolean approximate) throws SQLException
Gets the list of indexes for this database. The primary key index (if there is one) is also listed, with the name PRIMARY_KEY. The result set is sorted by NON_UNIQUE ('false' first), TYPE, TABLE_SCHEM, INDEX_NAME, and ORDINAL_POSITION.

- 1 TABLE_CAT (String) table catalog
- 2 TABLE_SCHEM (String) table schema
- 3 TABLE_NAME (String) table name
- 4 NON_UNIQUE (boolean) 'true' if non-unique
- 5 INDEX_QUALIFIER (String) index catalog
- 6 INDEX_NAME (String) index name
- 7 TYPE (short) the index type (always tableIndexOther)
- 8 ORDINAL_POSITION (short) column index (1, 2, ...)
- 9 COLUMN_NAME (String) column name
- 10 ASC_OR_DESC (String) ascending or descending (always 'A')
- 11 CARDINALITY (int) numbers of unique values
- 12 PAGES (int) number of pages use (always 0)
- 13 FILTER_CONDITION (String) filter condition (always empty)
- 14 SORT_TYPE (int) the sort type bit map: 1=DESCENDING, 2=NULLS_FIRST, 4=NULLS_LAST

Parameters:
catalogPattern - null or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
tableName - table name (must be specified)
unique - only unique indexes
approximate - is ignored
Returns:
the list of indexes and columns
Throws:
SQLException - if the connection is closed

int | getJDBCMajorVersion() Gets the major version of the supported JDBC API.
int | getJDBCMajorVersion() Gets the major version of the supported JDBC API. Returns: the major version (4)
int | getJDBCMinorVersion() Gets the minor version of the supported JDBC API.
int | getJDBCMinorVersion() Gets the minor version of the supported JDBC API. Returns: the minor version (0)
int | getMaxBinaryLiteralLength() Returns the maximum length for hex values (characters).
int | getMaxBinaryLiteralLength() Returns the maximum length for hex values (characters). Returns: 0 for limit is unknown
int | getMaxCatalogNameLength() Returns the maximum length for a catalog name.
int | getMaxCatalogNameLength() Returns the maximum length for a catalog name. Returns: 0 for limit is unknown
int | getMaxCharLiteralLength() Returns the maximum length for literals.
int | getMaxCharLiteralLength() Returns the maximum length for literals. Returns: 0 for limit is unknown
int | getMaxColumnNameLength() Returns the maximum length for column names.
int | getMaxColumnNameLength() Returns the maximum length for column names. Returns: 0 for limit is unknown
int | getMaxColumnsInGroupBy() Returns the maximum number of columns in GROUP BY.
int | getMaxColumnsInGroupBy() Returns the maximum number of columns in GROUP BY. Returns: 0 for limit is unknown
int | getMaxColumnsInIndex() Returns the maximum number of columns in CREATE INDEX.
int | getMaxColumnsInIndex() Returns the maximum number of columns in CREATE INDEX. Returns: 0 for limit is unknown
int | getMaxColumnsInOrderBy() Returns the maximum number of columns in ORDER BY.
int | getMaxColumnsInOrderBy() Returns the maximum number of columns in ORDER BY. Returns: 0 for limit is unknown
int | getMaxColumnsInSelect() Returns the maximum number of columns in SELECT.
int | getMaxColumnsInSelect() Returns the maximum number of columns in SELECT. Returns: 0 for limit is unknown
int | getMaxColumnsInTable() Returns the maximum number of columns in CREATE TABLE.
int | getMaxColumnsInTable() Returns the maximum number of columns in CREATE TABLE. Returns: 0 for limit is unknown
int | getMaxConnections() Returns the maximum number of open connection.
int | getMaxConnections() Returns the maximum number of open connection. Returns: 0 for limit is unknown
int | getMaxCursorNameLength() Returns the maximum length for a cursor name.
int | getMaxCursorNameLength() Returns the maximum length for a cursor name. Returns: 0 for limit is unknown
int | getMaxIndexLength() Returns the maximum length for an index (in bytes).
int | getMaxIndexLength() Returns the maximum length for an index (in bytes). Returns: 0 for limit is unknown
int | getMaxProcedureNameLength() Returns the maximum length for a procedure name.
int | getMaxProcedureNameLength() Returns the maximum length for a procedure name. Returns: 0 for limit is unknown
int | getMaxRowSize() Returns the maximum size of a row (in bytes).
int | getMaxRowSize() Returns the maximum size of a row (in bytes). Returns: 0 for limit is unknown
int | getMaxSchemaNameLength() Returns the maximum length for a schema name.
int | getMaxSchemaNameLength() Returns the maximum length for a schema name. Returns: 0 for limit is unknown
int | getMaxStatementLength() Returns the maximum length of a statement.
int | getMaxStatementLength() Returns the maximum length of a statement. Returns: 0 for limit is unknown
int | getMaxStatements() Returns the maximum number of open statements.
int | getMaxStatements() Returns the maximum number of open statements. Returns: 0 for limit is unknown
int | getMaxTableNameLength() Returns the maximum length for a table name.
int | getMaxTableNameLength() Returns the maximum length for a table name. Returns: 0 for limit is unknown
int | getMaxTablesInSelect() Returns the maximum number of tables in a SELECT.
int | getMaxTablesInSelect() Returns the maximum number of tables in a SELECT. Returns: 0 for limit is unknown
int | getMaxUserNameLength() Returns the maximum length for a user name.
int | getMaxUserNameLength() Returns the maximum length for a user name. Returns: 0 for limit is unknown
String | getNumericFunctions() Returns the list of numeric functions supported by this database.
String | getNumericFunctions() throws SQLException Returns the list of numeric functions supported by this database. Returns: the list
ResultSet | getPrimaryKeys(String catalogPattern, String schemaPattern, String tableName) Gets the primary key columns for a table.

ResultSet

getPrimaryKeys(String catalogPattern, String schemaPattern, String tableName) throws SQLException
Gets the primary key columns for a table. The result set is sorted by TABLE_SCHEM, and COLUMN_NAME (and not by KEY_SEQ).

- 1 TABLE_CAT (String) table catalog
- 2 TABLE_SCHEM (String) table schema
- 3 TABLE_NAME (String) table name
- 4 COLUMN_NAME (String) column name
- 5 KEY_SEQ (short) the column index of this column (1,2,...)
- 6 PK_NAME (String) the name of the primary key index

Parameters:
catalogPattern - null or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
tableName - table name (must be specified)
Returns:
the list of primary key columns
Throws:
SQLException - if the connection is closed

ResultSet | getProcedureColumns(String catalogPattern, String schemaPattern, String procedureNamePattern, String columnNamePattern) Gets the list of procedure columns.

ResultSet

getProcedureColumns(String catalogPattern, String schemaPattern, String procedureNamePattern, String columnNamePattern) throws SQLException
Gets the list of procedure columns. The result set is sorted by PROCEDURE_SCHEM, PROCEDURE_NAME, NUM_INPUT_PARAMS, and POS. There are potentially multiple procedures with the same name, each with a different number of input parameters.

- 1 PROCEDURE_CAT (String) catalog
- 2 PROCEDURE_SCHEM (String) schema
- 3 PROCEDURE_NAME (String) name
- 4 COLUMN_NAME (String) column name
- 5 COLUMN_TYPE (short) column type (always DatabaseMetaData.procedureColumnIn)
- 6 DATA_TYPE (short) sql type
- 7 TYPE_NAME (String) type name
- 8 PRECISION (int) precision
- 9 LENGTH (int) length
- 10 SCALE (short) scale
- 11 RADIX (int) always 10
- 12 NULLABLE (short) nullable (DatabaseMetaData.columnNoNulls for primitive data types, DatabaseMetaData.columnNullable otherwise)
- 13 REMARKS (String) description
- 14 COLUMN_DEF (String) always null
- 15 SQL_DATA_TYPE (int) for future use, always 0
- 16 SQL_DATETIME_SUB (int) for future use, always 0
- 17 CHAR_OCTET_LENGTH (int) always null
- 18 ORDINAL_POSITION (int) the parameter index starting from 1 (0 is the return value)
- 19 IS_NULLABLE (String) always "YES"
- 20 SPECIFIC_NAME (String) name

Parameters:
catalogPattern - null or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
procedureNamePattern - the procedure name pattern
columnNamePattern - the procedure name pattern
Returns:
the procedure columns
Throws:
SQLException - if the connection is closed

String | getProcedureTerm() Returns the term for "procedure".
String | getProcedureTerm() Returns the term for "procedure". Returns: "procedure"
ResultSet | getProcedures(String catalogPattern, String schemaPattern, String procedureNamePattern) Gets the list of procedures.

ResultSet

getProcedures(String catalogPattern, String schemaPattern, String procedureNamePattern) throws SQLException
Gets the list of procedures. The result set is sorted by PROCEDURE_SCHEM, PROCEDURE_NAME, and NUM_INPUT_PARAMS. There are potentially multiple procedures with the same name, each with a different number of input parameters.

- 1 PROCEDURE_CAT (String) catalog
- 2 PROCEDURE_SCHEM (String) schema
- 3 PROCEDURE_NAME (String) name
- 4 NUM_INPUT_PARAMS (int) the number of arguments
- 5 NUM_OUTPUT_PARAMS (int) for future use, always 0
- 6 NUM_RESULT_SETS (int) for future use, always 0
- 7 REMARKS (String) description
- 8 PROCEDURE_TYPE (short) if this procedure returns a result (procedureNoResult or procedureReturnsResult)
- 9 SPECIFIC_NAME (String) name

Parameters:
catalogPattern - null or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
procedureNamePattern - the procedure name pattern
Returns:
the procedures
Throws:
SQLException - if the connection is closed

ResultSet | getPseudoColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern) [Not supported]

ResultSet

getPseudoColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)
[Not supported]
Parameters:
catalog - null (to get all objects) or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
tableNamePattern - null (to get all objects) or a table name (uppercase for unquoted names)
columnNamePattern - null (to get all objects) or a column name (uppercase for unquoted names)

int | getResultSetHoldability() Gets the result set holdability.
int | getResultSetHoldability() Gets the result set holdability. Returns: ResultSet.CLOSE_CURSORS_AT_COMMIT
RowIdLifetime | getRowIdLifetime() Get the lifetime of a rowid.
RowIdLifetime | getRowIdLifetime() Get the lifetime of a rowid. Returns: ROWID_UNSUPPORTED
String | getSQLKeywords() Gets the comma-separated list of all SQL keywords that are not supported as table/column/index name, in addition to the SQL-92 keywords.

String

getSQLKeywords()
Gets the comma-separated list of all SQL keywords that are not supported as table/column/index name, in addition to the SQL-92 keywords. The list returned is:

     LIMIT,MINUS,ROWNUM,SYSDATE,SYSTIME,SYSTIMESTAMP,TODAY

The complete list of keywords (including SQL-92 keywords) is:

     CROSS, CURRENT_DATE, CURRENT_TIME, CURRENT_TIMESTAMP, DISTINCT,
     EXCEPT, EXISTS, FALSE, FOR, FROM, FULL, GROUP, HAVING, INNER,
     INTERSECT, IS, JOIN, LIKE, LIMIT, MINUS, NATURAL, NOT, NULL, ON,
     ORDER, PRIMARY, ROWNUM, SELECT, SYSDATE, SYSTIME, SYSTIMESTAMP,
     TODAY, TRUE, UNION, UNIQUE, WHERE

Returns:
a list of additional the keywords

int | getSQLStateType() Gets the SQL State type.
int | getSQLStateType() Gets the SQL State type. Returns: DatabaseMetaData.sqlStateSQL99
String | getSchemaTerm() Returns the term for "schema".
String | getSchemaTerm() Returns the term for "schema". Returns: "schema"
ResultSet | getSchemas() Gets the list of schemas.

ResultSet

getSchemas() throws SQLException
Gets the list of schemas. The result set is sorted by TABLE_SCHEM.

- 1 TABLE_SCHEM (String) schema name
- 2 TABLE_CATALOG (String) catalog name
- 3 IS_DEFAULT (boolean) if this is the default schema

Returns:
the schema list
Throws:
SQLException - if the connection is closed

ResultSet | getSchemas(String catalogPattern, String schemaPattern) Gets the list of schemas in the database.

ResultSet

getSchemas(String catalogPattern, String schemaPattern) throws SQLException
Gets the list of schemas in the database. The result set is sorted by TABLE_SCHEM.

- 1 TABLE_SCHEM (String) schema name
- 2 TABLE_CATALOG (String) catalog name
- 3 IS_DEFAULT (boolean) if this is the default schema

Parameters:
catalogPattern - null (to get all objects) or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
Returns:
the schema list
Throws:
SQLException - if the connection is closed

String | getSearchStringEscape() Returns the default escape character for DatabaseMetaData search patterns.
String | getSearchStringEscape() Returns the default escape character for DatabaseMetaData search patterns. Returns: the default escape character (always '\', independent on the mode)
String | getStringFunctions() Returns the list of string functions supported by this database.
String | getStringFunctions() throws SQLException Returns the list of string functions supported by this database. Returns: the list
ResultSet | getSuperTables(String catalog, String schemaPattern, String tableNamePattern) Get the list of super tables of a table.

ResultSet

getSuperTables(String catalog, String schemaPattern, String tableNamePattern) throws SQLException
Get the list of super tables of a table. This method currently returns an empty result set.

- 1 TABLE_CAT (String) table catalog
- 2 TABLE_SCHEM (String) table schema
- 3 TABLE_NAME (String) table name
- 4 SUPERTABLE_NAME (String) the name of the super table

Parameters:
catalog - null (to get all objects) or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
tableNamePattern - null (to get all objects) or a table name pattern (uppercase for unquoted names)
Returns:
an empty result set

ResultSet | getSuperTypes(String catalog, String schemaPattern, String typeNamePattern) [Not supported]
ResultSet | getSuperTypes(String catalog, String schemaPattern, String typeNamePattern) throws SQLException [Not supported]
String | getSystemFunctions() Returns the list of system functions supported by this database.
String | getSystemFunctions() throws SQLException Returns the list of system functions supported by this database. Returns: the list
ResultSet | getTablePrivileges(String catalogPattern, String schemaPattern, String tableNamePattern) Gets the list of table privileges.

ResultSet

getTablePrivileges(String catalogPattern, String schemaPattern, String tableNamePattern) throws SQLException
Gets the list of table privileges. The result set is sorted by TABLE_SCHEM, TABLE_NAME, and PRIVILEGE.

- 1 TABLE_CAT (String) table catalog
- 2 TABLE_SCHEM (String) table schema
- 3 TABLE_NAME (String) table name
- 4 GRANTOR (String) grantor of access
- 5 GRANTEE (String) grantee of access
- 6 PRIVILEGE (String) SELECT, INSERT, UPDATE, DELETE or REFERENCES (only one per row)
- 7 IS_GRANTABLE (String) YES means the grantee can grant access to others

Parameters:
catalogPattern - null (to get all objects) or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
tableNamePattern - null (to get all objects) or a table name (uppercase for unquoted names)
Returns:
the list of privileges
Throws:
SQLException - if the connection is closed

ResultSet | getTableTypes() Gets the list of table types.

ResultSet

getTableTypes() throws SQLException
Gets the list of table types. This call returns a result set with five records: "SYSTEM TABLE", "TABLE", "VIEW", "TABLE LINK" and "EXTERNAL".

- 1 TABLE_TYPE (String) table type

Returns:
the table types
Throws:
SQLException - if the connection is closed

ResultSet | getTables(String catalogPattern, String schemaPattern, String tableNamePattern, String[] types) Gets the list of tables in the database.

ResultSet

getTables(String catalogPattern, String schemaPattern, String tableNamePattern, String[] types) throws SQLException
Gets the list of tables in the database. The result set is sorted by TABLE_TYPE, TABLE_SCHEM, and TABLE_NAME.

- 1 TABLE_CAT (String) table catalog
- 2 TABLE_SCHEM (String) table schema
- 3 TABLE_NAME (String) table name
- 4 TABLE_TYPE (String) table type
- 5 REMARKS (String) comment
- 6 TYPE_CAT (String) always null
- 7 TYPE_SCHEM (String) always null
- 8 TYPE_NAME (String) always null
- 9 SELF_REFERENCING_COL_NAME (String) always null
- 10 REF_GENERATION (String) always null
- 11 SQL (String) the create table statement or NULL for systems tables

Parameters:
catalogPattern - null (to get all objects) or the catalog name
schemaPattern - null (to get all objects) or a schema name (uppercase for unquoted names)
tableNamePattern - null (to get all objects) or a table name (uppercase for unquoted names)
types - null or a list of table types
Returns:
the list of columns
Throws:
SQLException - if the connection is closed

String | getTimeDateFunctions() Returns the list of date and time functions supported by this database.
String | getTimeDateFunctions() throws SQLException Returns the list of date and time functions supported by this database. Returns: the list
ResultSet | getTypeInfo() Gets the list of data types.

ResultSet

getTypeInfo() throws SQLException
Gets the list of data types. The result set is sorted by DATA_TYPE and afterwards by how closely the data type maps to the corresponding JDBC SQL type (best match first).

- 1 TYPE_NAME (String) type name
- 2 DATA_TYPE (short) SQL data type - see also java.sql.Types
- 3 PRECISION (int) maximum precision
- 4 LITERAL_PREFIX (String) prefix used to quote a literal
- 5 LITERAL_SUFFIX (String) suffix used to quote a literal
- 6 CREATE_PARAMS (String) parameters used (may be null)
- 7 NULLABLE (short) typeNoNulls (NULL not allowed) or typeNullable
- 8 CASE_SENSITIVE (boolean) case sensitive
- 9 SEARCHABLE (short) typeSearchable
- 10 UNSIGNED_ATTRIBUTE (boolean) unsigned
- 11 FIXED_PREC_SCALE (boolean) fixed precision
- 12 AUTO_INCREMENT (boolean) auto increment
- 13 LOCAL_TYPE_NAME (String) localized version of the data type
- 14 MINIMUM_SCALE (short) minimum scale
- 15 MAXIMUM_SCALE (short) maximum scale
- 16 SQL_DATA_TYPE (int) unused
- 17 SQL_DATETIME_SUB (int) unused
- 18 NUM_PREC_RADIX (int) 2 for binary, 10 for decimal

Returns:
the list of data types
Throws:
SQLException - if the connection is closed

ResultSet | getUDTs(String catalog, String schemaPattern, String typeNamePattern, int[] types) Gets the list of user-defined data types.

ResultSet

getUDTs(String catalog, String schemaPattern, String typeNamePattern, int[] types) throws SQLException
Gets the list of user-defined data types. This call returns an empty result set.

- 1 TYPE_CAT (String) catalog
- 2 TYPE_SCHEM (String) schema
- 3 TYPE_NAME (String) type name
- 4 CLASS_NAME (String) Java class
- 5 DATA_TYPE (short) SQL Type - see also java.sql.Types
- 6 REMARKS (String) description
- 7 BASE_TYPE (short) base type - see also java.sql.Types

Parameters:
catalog - ignored
schemaPattern - ignored
typeNamePattern - ignored
types - ignored
Returns:
an empty result set
Throws:
SQLException - if the connection is closed

String | getURL() Returns the database URL for this connection.
String | getURL() throws SQLException Returns the database URL for this connection. Returns: the url
String | getUserName() Returns the user name as passed to DriverManager.getConnection(url, user, password).
String | getUserName() throws SQLException Returns the user name as passed to DriverManager.getConnection(url, user, password). Returns: the user name
ResultSet | getVersionColumns(String catalog, String schema, String tableName) Get the list of columns that are update when any value is updated.

ResultSet

getVersionColumns(String catalog, String schema, String tableName) throws SQLException
Get the list of columns that are update when any value is updated. The result set is always empty.

- 1 SCOPE (int) not used
- 2 COLUMN_NAME (String) column name
- 3 DATA_TYPE (int) SQL data type - see also java.sql.Types
- 4 TYPE_NAME (String) data type name
- 5 COLUMN_SIZE (int) precision (values larger than 2 GB are returned as 2 GB)
- 6 BUFFER_LENGTH (int) length (bytes)
- 7 DECIMAL_DIGITS (int) scale
- 8 PSEUDO_COLUMN (int) is this column a pseudo column

Parameters:
catalog - null (to get all objects) or the catalog name
schema - null (to get all objects) or a schema name
tableName - table name (must be specified)
Returns:
an empty result set
Throws:
SQLException - if the connection is closed

boolean | insertsAreDetected(int type) Returns whether inserts are detected.
boolean | insertsAreDetected(int type) Returns whether inserts are detected. Parameters: type - the result set type Returns: false
boolean | isCatalogAtStart() Returns whether the catalog is at the beginning.
boolean | isCatalogAtStart() Returns whether the catalog is at the beginning. Returns: true
boolean | isReadOnly() Returns the same as Connection.isReadOnly().
boolean | isReadOnly() throws SQLException Returns the same as Connection.isReadOnly(). Returns: if read only optimization is switched on
boolean | isWrapperFor(Class iface) Checks if unwrap can return an object of this class.
boolean | isWrapperFor(Class iface) throws SQLException Checks if unwrap can return an object of this class. Parameters: iface - the class Returns: whether or not the interface is assignable from this class
boolean | locatorsUpdateCopy() Does the database make a copy before updating.
boolean | locatorsUpdateCopy() Does the database make a copy before updating. Returns: false
boolean | nullPlusNonNullIsNull() Returns whether NULL+1 is NULL or not.
boolean | nullPlusNonNullIsNull() Returns whether NULL+1 is NULL or not. Returns: true
boolean | nullsAreSortedAtEnd() Checks if NULL is sorted at the end (no matter if ASC or DESC is used).
boolean | nullsAreSortedAtEnd() Checks if NULL is sorted at the end (no matter if ASC or DESC is used). Returns: false
boolean | nullsAreSortedAtStart() Checks if NULL is sorted at the beginning (no matter if ASC or DESC is used).
boolean | nullsAreSortedAtStart() Checks if NULL is sorted at the beginning (no matter if ASC or DESC is used). Returns: false
boolean | nullsAreSortedHigh() Checks if NULL is sorted high (bigger than anything that is not null).
boolean | nullsAreSortedHigh() Checks if NULL is sorted high (bigger than anything that is not null). Returns: false by default; true if the system property h2.sortNullsHigh is set to true
boolean | nullsAreSortedLow() Checks if NULL is sorted low (smaller than anything that is not null).
boolean | nullsAreSortedLow() Checks if NULL is sorted low (smaller than anything that is not null). Returns: true by default; false if the system property h2.sortNullsHigh is set to true
boolean | othersDeletesAreVisible(int type) Returns whether other deletes are visible.
boolean | othersDeletesAreVisible(int type) Returns whether other deletes are visible. Parameters: type - the result set type Returns: false
boolean | othersInsertsAreVisible(int type) Returns whether other inserts are visible.
boolean | othersInsertsAreVisible(int type) Returns whether other inserts are visible. Parameters: type - the result set type Returns: false
boolean | othersUpdatesAreVisible(int type) Returns whether other updates are visible.
boolean | othersUpdatesAreVisible(int type) Returns whether other updates are visible. Parameters: type - the result set type Returns: false
boolean | ownDeletesAreVisible(int type) Returns whether own deletes are visible.
boolean | ownDeletesAreVisible(int type) Returns whether own deletes are visible. Parameters: type - the result set type Returns: false
boolean | ownInsertsAreVisible(int type) Returns whether own inserts are visible.
boolean | ownInsertsAreVisible(int type) Returns whether own inserts are visible. Parameters: type - the result set type Returns: false
boolean | ownUpdatesAreVisible(int type) Returns whether own updates are visible.
boolean | ownUpdatesAreVisible(int type) Returns whether own updates are visible. Parameters: type - the result set type Returns: true
boolean | storesLowerCaseIdentifiers() Checks if for CREATE TABLE Test(ID INT), getTables returns test as the table name.
boolean | storesLowerCaseIdentifiers() throws SQLException Checks if for CREATE TABLE Test(ID INT), getTables returns test as the table name. Returns: false usually, and true in MySQL mode
boolean | storesLowerCaseQuotedIdentifiers() Checks if for CREATE TABLE "Test"(ID INT), getTables returns test as the table name.
boolean | storesLowerCaseQuotedIdentifiers() throws SQLException Checks if for CREATE TABLE "Test"(ID INT), getTables returns test as the table name. Returns: false usually, and true in MySQL mode
boolean | storesMixedCaseIdentifiers() Checks if for CREATE TABLE Test(ID INT), getTables returns Test as the table name.
boolean | storesMixedCaseIdentifiers() Checks if for CREATE TABLE Test(ID INT), getTables returns Test as the table name. Returns: false
boolean | storesMixedCaseQuotedIdentifiers() Checks if for CREATE TABLE "Test"(ID INT), getTables returns Test as the table name.
boolean | storesMixedCaseQuotedIdentifiers() throws SQLException Checks if for CREATE TABLE "Test"(ID INT), getTables returns Test as the table name. Returns: true usually, and false in MySQL mode
boolean | storesUpperCaseIdentifiers() Checks if for CREATE TABLE Test(ID INT), getTables returns TEST as the table name.
boolean | storesUpperCaseIdentifiers() throws SQLException Checks if for CREATE TABLE Test(ID INT), getTables returns TEST as the table name. Returns: true usually, and false in MySQL mode
boolean | storesUpperCaseQuotedIdentifiers() Checks if for CREATE TABLE "Test"(ID INT), getTables returns TEST as the table name.
boolean | storesUpperCaseQuotedIdentifiers() throws SQLException Checks if for CREATE TABLE "Test"(ID INT), getTables returns TEST as the table name. Returns: false usually, and true in MySQL mode
boolean | supportsANSI92EntryLevelSQL() Returns whether SQL-92 entry level grammar is supported.
boolean | supportsANSI92EntryLevelSQL() Returns whether SQL-92 entry level grammar is supported. Returns: true
boolean | supportsANSI92FullSQL() Returns whether SQL-92 full level grammar is supported.
boolean | supportsANSI92FullSQL() Returns whether SQL-92 full level grammar is supported. Returns: false
boolean | supportsANSI92IntermediateSQL() Returns whether SQL-92 intermediate level grammar is supported.
boolean | supportsANSI92IntermediateSQL() Returns whether SQL-92 intermediate level grammar is supported. Returns: false
boolean | supportsAlterTableWithAddColumn() Returns whether alter table with add column is supported.
boolean | supportsAlterTableWithAddColumn() Returns whether alter table with add column is supported. Returns: true
boolean | supportsAlterTableWithDropColumn() Returns whether alter table with drop column is supported.
boolean | supportsAlterTableWithDropColumn() Returns whether alter table with drop column is supported. Returns: true
boolean | supportsBatchUpdates() Returns whether batch updates are supported.
boolean | supportsBatchUpdates() Returns whether batch updates are supported. Returns: true
boolean | supportsCatalogsInDataManipulation() Returns whether the catalog name in INSERT, UPDATE, DELETE is supported.
boolean | supportsCatalogsInDataManipulation() Returns whether the catalog name in INSERT, UPDATE, DELETE is supported. Returns: true
boolean | supportsCatalogsInIndexDefinitions() Returns whether the catalog name in CREATE INDEX is supported.
boolean | supportsCatalogsInIndexDefinitions() Returns whether the catalog name in CREATE INDEX is supported. Returns: true
boolean | supportsCatalogsInPrivilegeDefinitions() Returns whether the catalog name in GRANT is supported.
boolean | supportsCatalogsInPrivilegeDefinitions() Returns whether the catalog name in GRANT is supported. Returns: true
boolean | supportsCatalogsInProcedureCalls() Returns whether the catalog name in procedure calls is supported.
boolean | supportsCatalogsInProcedureCalls() Returns whether the catalog name in procedure calls is supported. Returns: false
boolean | supportsCatalogsInTableDefinitions() Returns whether the catalog name in CREATE TABLE is supported.
boolean | supportsCatalogsInTableDefinitions() Returns whether the catalog name in CREATE TABLE is supported. Returns: true
boolean | supportsColumnAliasing() Returns whether column aliasing is supported.
boolean | supportsColumnAliasing() Returns whether column aliasing is supported. Returns: true
boolean | supportsConvert() Returns whether CONVERT is supported.
boolean | supportsConvert() Returns whether CONVERT is supported. Returns: true
boolean | supportsConvert(int fromType, int toType) Returns whether CONVERT is supported for one datatype to another.
boolean | supportsConvert(int fromType, int toType) Returns whether CONVERT is supported for one datatype to another. Parameters: fromType - the source SQL type toType - the target SQL type Returns: true
boolean | supportsCoreSQLGrammar() Returns whether ODBC Core SQL grammar is supported.
boolean | supportsCoreSQLGrammar() Returns whether ODBC Core SQL grammar is supported. Returns: true
boolean | supportsCorrelatedSubqueries() Returns whether correlated subqueries are supported.
boolean | supportsCorrelatedSubqueries() Returns whether correlated subqueries are supported. Returns: true
boolean | supportsDataDefinitionAndDataManipulationTransactions() Returns whether data manipulation and CREATE/DROP is supported in transactions.
boolean | supportsDataDefinitionAndDataManipulationTransactions() Returns whether data manipulation and CREATE/DROP is supported in transactions. Returns: false
boolean | supportsDataManipulationTransactionsOnly() Returns whether only data manipulations are supported in transactions.
boolean | supportsDataManipulationTransactionsOnly() Returns whether only data manipulations are supported in transactions. Returns: true
boolean | supportsDifferentTableCorrelationNames() Returns whether table correlation names (table alias) are restricted to be different than table names.
boolean | supportsDifferentTableCorrelationNames() Returns whether table correlation names (table alias) are restricted to be different than table names. Returns: false
boolean | supportsExpressionsInOrderBy() Returns whether expression in ORDER BY are supported.
boolean | supportsExpressionsInOrderBy() Returns whether expression in ORDER BY are supported. Returns: true
boolean | supportsExtendedSQLGrammar() Returns whether ODBC Extended SQL grammar is supported.
boolean | supportsExtendedSQLGrammar() Returns whether ODBC Extended SQL grammar is supported. Returns: false
boolean | supportsFullOuterJoins() Returns whether full outer joins are supported.
boolean | supportsFullOuterJoins() Returns whether full outer joins are supported. Returns: false
boolean | supportsGetGeneratedKeys() Does the database support getGeneratedKeys.
boolean | supportsGetGeneratedKeys() Does the database support getGeneratedKeys. Returns: true
boolean | supportsGroupBy() Returns whether GROUP BY is supported.
boolean | supportsGroupBy() Returns whether GROUP BY is supported. Returns: true
boolean | supportsGroupByBeyondSelect() Checks whether a GROUP BY clause can use columns that are not in the SELECT clause, provided that it specifies all the columns in the SELECT clause.
boolean | supportsGroupByBeyondSelect() Checks whether a GROUP BY clause can use columns that are not in the SELECT clause, provided that it specifies all the columns in the SELECT clause. Returns: true
boolean | supportsGroupByUnrelated() Returns whether GROUP BY is supported if the column is not in the SELECT list.
boolean | supportsGroupByUnrelated() Returns whether GROUP BY is supported if the column is not in the SELECT list. Returns: true
boolean | supportsIntegrityEnhancementFacility() Returns whether referential integrity is supported.
boolean | supportsIntegrityEnhancementFacility() Returns whether referential integrity is supported. Returns: true
boolean | supportsLikeEscapeClause() Returns whether LIKE...
boolean | supportsLikeEscapeClause() Returns whether LIKE... ESCAPE is supported. Returns: true
boolean | supportsLimitedOuterJoins() Returns whether limited outer joins are supported.
boolean | supportsLimitedOuterJoins() Returns whether limited outer joins are supported. Returns: true
boolean | supportsMinimumSQLGrammar() Returns whether ODBC Minimum SQL grammar is supported.
boolean | supportsMinimumSQLGrammar() Returns whether ODBC Minimum SQL grammar is supported. Returns: true
boolean | supportsMixedCaseIdentifiers() Checks if for CREATE TABLE Test(ID INT), getTables returns Test as the table name.
boolean | supportsMixedCaseIdentifiers() Checks if for CREATE TABLE Test(ID INT), getTables returns Test as the table name. Returns: false
boolean | supportsMixedCaseQuotedIdentifiers() Checks if a table created with CREATE TABLE "Test"(ID INT) is a different table than a table created with CREATE TABLE TEST(ID INT).
boolean | supportsMixedCaseQuotedIdentifiers() throws SQLException Checks if a table created with CREATE TABLE "Test"(ID INT) is a different table than a table created with CREATE TABLE TEST(ID INT). Returns: true usually, and false in MySQL mode
boolean | supportsMultipleOpenResults() Does the database support multiple open result sets.
boolean | supportsMultipleOpenResults() Does the database support multiple open result sets. Returns: true
boolean | supportsMultipleResultSets() Returns whether multiple result sets are supported.
boolean | supportsMultipleResultSets() Returns whether multiple result sets are supported. Returns: false
boolean | supportsMultipleTransactions() Returns whether multiple transactions (on different connections) are supported.
boolean | supportsMultipleTransactions() Returns whether multiple transactions (on different connections) are supported. Returns: true
boolean | supportsNamedParameters() Does the database support named parameters.
boolean | supportsNamedParameters() Does the database support named parameters. Returns: false
boolean | supportsNonNullableColumns() Returns whether columns with NOT NULL are supported.
boolean | supportsNonNullableColumns() Returns whether columns with NOT NULL are supported. Returns: true
boolean | supportsOpenCursorsAcrossCommit() Returns whether open result sets across commits are supported.
boolean | supportsOpenCursorsAcrossCommit() Returns whether open result sets across commits are supported. Returns: false
boolean | supportsOpenCursorsAcrossRollback() Returns whether open result sets across rollback are supported.
boolean | supportsOpenCursorsAcrossRollback() Returns whether open result sets across rollback are supported. Returns: false
boolean | supportsOpenStatementsAcrossCommit() Returns whether open statements across commit are supported.
boolean | supportsOpenStatementsAcrossCommit() Returns whether open statements across commit are supported. Returns: true
boolean | supportsOpenStatementsAcrossRollback() Returns whether open statements across rollback are supported.
boolean | supportsOpenStatementsAcrossRollback() Returns whether open statements across rollback are supported. Returns: true
boolean | supportsOrderByUnrelated() Returns whether ORDER BY is supported if the column is not in the SELECT list.
boolean | supportsOrderByUnrelated() Returns whether ORDER BY is supported if the column is not in the SELECT list. Returns: true
boolean | supportsOuterJoins() Returns whether outer joins are supported.
boolean | supportsOuterJoins() Returns whether outer joins are supported. Returns: true
boolean | supportsPositionedDelete() Returns whether positioned deletes are supported.
boolean | supportsPositionedDelete() Returns whether positioned deletes are supported. Returns: true
boolean | supportsPositionedUpdate() Returns whether positioned updates are supported.
boolean | supportsPositionedUpdate() Returns whether positioned updates are supported. Returns: true
boolean | supportsResultSetConcurrency(int type, int concurrency) Returns whether a specific result set concurrency is supported.
boolean | supportsResultSetConcurrency(int type, int concurrency) Returns whether a specific result set concurrency is supported. ResultSet.TYPE_SCROLL_SENSITIVE is not supported. Parameters: type - the result set type concurrency - the result set concurrency Returns: true if the type is not ResultSet.TYPE_SCROLL_SENSITIVE
boolean | supportsResultSetHoldability(int holdability) Does this database supports a result set holdability.
boolean | supportsResultSetHoldability(int holdability) Does this database supports a result set holdability. Parameters: holdability - ResultSet.HOLD_CURSORS_OVER_COMMIT or CLOSE_CURSORS_AT_COMMIT Returns: true if the holdability is ResultSet.CLOSE_CURSORS_AT_COMMIT
boolean | supportsResultSetType(int type) Returns whether a specific result set type is supported.
boolean | supportsResultSetType(int type) Returns whether a specific result set type is supported. ResultSet.TYPE_SCROLL_SENSITIVE is not supported. Parameters: type - the result set type Returns: true for all types except ResultSet.TYPE_FORWARD_ONLY
boolean | supportsSavepoints() Does the database support savepoints.
boolean | supportsSavepoints() Does the database support savepoints. Returns: true
boolean | supportsSchemasInDataManipulation() Returns whether the schema name in INSERT, UPDATE, DELETE is supported.
boolean | supportsSchemasInDataManipulation() Returns whether the schema name in INSERT, UPDATE, DELETE is supported. Returns: true
boolean | supportsSchemasInIndexDefinitions() Returns whether the schema name in CREATE INDEX is supported.
boolean | supportsSchemasInIndexDefinitions() Returns whether the schema name in CREATE INDEX is supported. Returns: true
boolean | supportsSchemasInPrivilegeDefinitions() Returns whether the schema name in GRANT is supported.
boolean | supportsSchemasInPrivilegeDefinitions() Returns whether the schema name in GRANT is supported. Returns: true
boolean | supportsSchemasInProcedureCalls() Returns whether the schema name in procedure calls is supported.
boolean | supportsSchemasInProcedureCalls() Returns whether the schema name in procedure calls is supported. Returns: true
boolean | supportsSchemasInTableDefinitions() Returns whether the schema name in CREATE TABLE is supported.
boolean | supportsSchemasInTableDefinitions() Returns whether the schema name in CREATE TABLE is supported. Returns: true
boolean | supportsSelectForUpdate() Returns whether SELECT ...
boolean | supportsSelectForUpdate() Returns whether SELECT ... FOR UPDATE is supported. Returns: true
boolean | supportsStatementPooling() Does the database support statement pooling.
boolean | supportsStatementPooling() Does the database support statement pooling. Returns: false
boolean | supportsStoredFunctionsUsingCallSyntax() Returns whether the database supports calling functions using the call syntax.
boolean | supportsStoredFunctionsUsingCallSyntax() Returns whether the database supports calling functions using the call syntax. Returns: true
boolean | supportsStoredProcedures() Returns whether stored procedures are supported.
boolean | supportsStoredProcedures() Returns whether stored procedures are supported. Returns: false
boolean | supportsSubqueriesInComparisons() Returns whether subqueries (SELECT) in comparisons are supported.
boolean | supportsSubqueriesInComparisons() Returns whether subqueries (SELECT) in comparisons are supported. Returns: true
boolean | supportsSubqueriesInExists() Returns whether SELECT in EXISTS is supported.
boolean | supportsSubqueriesInExists() Returns whether SELECT in EXISTS is supported. Returns: true
boolean | supportsSubqueriesInIns() Returns whether IN(SELECT...) is supported.
boolean | supportsSubqueriesInIns() Returns whether IN(SELECT...) is supported. Returns: true
boolean | supportsSubqueriesInQuantifieds() Returns whether subqueries in quantified expression are supported.
boolean | supportsSubqueriesInQuantifieds() Returns whether subqueries in quantified expression are supported. Returns: true
boolean | supportsTableCorrelationNames() Returns whether table correlation names (table alias) are supported.
boolean | supportsTableCorrelationNames() Returns whether table correlation names (table alias) are supported. Returns: true
boolean | supportsTransactionIsolationLevel(int level) Returns whether a specific transaction isolation level is supported.
boolean | supportsTransactionIsolationLevel(int level) throws SQLException Returns whether a specific transaction isolation level is supported. Parameters: level - the transaction isolation level (Connection.TRANSACTION_*) Returns: true
boolean | supportsTransactions() Returns whether transactions are supported.
boolean | supportsTransactions() Returns whether transactions are supported. Returns: true
boolean | supportsUnion() Returns whether UNION SELECT is supported.
boolean | supportsUnion() Returns whether UNION SELECT is supported. Returns: true
boolean | supportsUnionAll() Returns whether UNION ALL SELECT is supported.
boolean | supportsUnionAll() Returns whether UNION ALL SELECT is supported. Returns: true
T | unwrap(Class iface) Return an object of this class if possible.
T | unwrap(Class iface) throws SQLException Return an object of this class if possible. Parameters: iface - the class Returns: this
boolean | updatesAreDetected(int type) Returns whether updates are detected.
boolean | updatesAreDetected(int type) Returns whether updates are detected. Parameters: type - the result set type Returns: false
boolean | usesLocalFilePerTable() Checks if this database use one file per table.
boolean | usesLocalFilePerTable() Checks if this database use one file per table. Returns: false
boolean | usesLocalFiles() Checks if this database store data in local files.
boolean | usesLocalFiles() Checks if this database store data in local files. Returns: true